Bug 208704 - Thunderbird window disrupted by emails with semicolon separated recipients
Thunderbird window disrupted by emails with semicolon separated recipients
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 10:11 EDT by Ian Malone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.0.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-14 11:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
window grab showing the problem (114.94 KB, image/png)
2006-09-30 10:11 EDT, Ian Malone
no flags Details

  None (edit)
Description Ian Malone 2006-09-30 10:11:09 EDT
Description of problem:
When receiving emails with addresses separated by semicolons Thunderbird does
not wrap the To and CC lines.  This can cause the window drawing to mess up,
loosing the search field and right hand window components.  See attached png,
notice disappearance of; the search entry field, unread and total in the status
bar, columns after subject (this column was meant to take up about 1/3rd of its
pane), the activity circle at the top right and the failure to wrap the CC line.

Version-Release number of selected component (if applicable):
1.5.0.7-1.fc5 

How reproducible:
Very

Steps to Reproduce:
1. Send yourself an email with several (e.g. eight) To: addresses separated by
commas
2. View it and expand the subject line field to display the date and recipient
addresses
  
Actual results:
Several parts of the display are pushed out of the window

Expected results:
Window layout should not be affected other than showing the extra information
Comment 1 Ian Malone 2006-09-30 10:11:10 EDT
Created attachment 137474 [details]
window grab showing the problem
Comment 2 Ian Malone 2006-12-13 04:23:48 EST
Problem also affects TB 1.5.0.8 in Fedora Core 6.  Semicolon separation of
addresses may not be correct, but it should not cause the UI to break.
Comment 3 Ian Malone 2007-07-14 11:57:18 EDT
Finally fixed by TB 2 in F7: UI has changed (addresses still do not wrap but TB
can no longer get into an unusable state).
Comment 4 Ian Malone 2007-07-14 11:59:58 EDT
I wonder if the reporter can mark closed...

Note You need to log in before you can comment on or make changes to this bug.